<?php

namespace Drupal\ultimenu;

/**
 * A Trait common for Ultimenu split services.
 */
trait UltimenuTrait {

  /**
   * Config Factory Service Object.
   *
   * @var \Drupal\Core\Config\ConfigFactoryInterface
   */
  protected $configFactory;

  /**
   * {@inheritdoc}
   */
  public function configFactory() {
    return $this->configFactory;
  }

  /**
   * {@inheritdoc}
   */
  public function config($config = 'ultimenu.settings') {
    return $this->configFactory->get($config);
  }

  /**
   * {@inheritdoc}
   */
  public function getSetting($setting_name = NULL) {
    return $this->config()->get($setting_name);
  }

  /**
   * Return a shortcut for the default theme.
   */
  public function getThemeDefault() {
    return $this->configFactory->get('system.theme')->get('default');
  }

  /**
   * {@inheritdoc}
   *
   * @deprecated in ultimenu:2.10, and is removed from ultimenu:3.x. Use
   * self::config() instead.
   * @see https://www.drupal.org/node/3364574
   */
  public function getConfig($config = 'ultimenu.settings') {
    return $this->config($config);
  }

}
